#ifndef CRFUTILS_H
#define CRFUTILS_H

/*************************************************************************
*  Program Name  : FLASH (FLexit Application SHell)                      *
*========================================================================*
*                                                                        *
*  Filename      : crfutils.h                                            *
*                                                                        *
*  Function      : C-regelaar utilities functions.                       *
*                                                                        *
*  Date Created  : May 15, 1996                                          *
*                                                                        *
*  Version       : 1.0                                                   *
*                                                                        *
*  Author(s)     : E.E. de Vries (Ed)                                    *
*                                                                        *
*  Files used    :                                                       *
*                                                                        *
*  Date Modified : See RCS identification                                *
*                                                                        *
*  Modifications : april 2003 inbrengen code voor ESG                    *
*  Comments      :                                                       *
*                                                                        *
*------------------------------------------------------------------------*
*  COPYRIGHT (c) 1996 by A.N.D. Identification B.V. Rotterdam.           *
*************************************************************************/

#define ESG_WIT   1
#define ESG_ZWART 2
#define ESG_ROOD  3
#define ESG_GROEN 4
#define ESG_BLAUW 5
#define ESG_GRIJS 6
#define ESG_GEEL  7


/*----------------------------------------------------------------------*/
/* FUNCTION PROTOTYPES                                                  */
/*----------------------------------------------------------------------*/

/* printxy.c */
/* --------- */
int printxy(int X, int Y, const char* Format, ...);
int toon_ESG(int iVolgNr, int iKleurAan, int iKleurUit, int bAan, const char* strNaam);


/* time.c  */
/* ------- */
long nofticks(void);
#define __crfutils

#endif  /* CRFUTILS_H  */
