#ifndef CRHFO_D
#define CRHFO_D

/*
 * Copyright(c) 1992 RWS Dienst Verkeerkunde
 *
 * File         : crhfo.d
 *
 * Description  : datastructures in het hulpfunctie object
 *
 * History      : 08-03-90 Creation
 *                6-7-92,  aanpassing aan nieuwe interface definitie
 *                         van de commissie C van de CVN
 *
 */


struct UHF {
        /*
         * bitarray voor hulpfuncties, schakelaars, tijden
         * en masker voor selectie 1 uit 16 en
         * bitmasker voor de toestand
         */
        Mask16           b[MAX_HF];
        Mask16           bg[MAX_HF];
        Mask16           obg[MAX_HF];
        Mask16           en[MAX_HF];
        Mask16           oen[MAX_HF];
        Mask16           tr[MAX_HF];
        Mask16           trw[MAX_HF];
        Mask16           hl[MAX_HF];
        Uint16           teller[MAX_HF];
        Tijdelement      *p_td[MAX_HF];
        };

struct TLF {
        Mask32  volgnr;
        Uint32  waarde[32];
};

#endif  /* CRHFO_D */
